udftools

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
wrudf-cdr.c File Reference
`#include "config.h"`
`#include <stddef.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include "wrudf.h"`
`#include "ide-pc.h"`
`#include "bswap.h"`
Include dependency graph for wrudf-cdr.c:

Go to the source code of this file.

## Functions
uint32_t | newVATentry ()
uint32_t | getNWA ()
uint32_t | getMaxVarPktSize ()
unsigned char * | readCDR (uint32_t lbn, uint16_t partition)
void | writeHD (uint32_t physical, unsigned char *src)
void | syncCDR ()
void | writeHDlink ()
uint32_t | writeCDR (void *src)
long_ad * | flagError (long_ad *extents, long_ad *ext, uint32_t pbn)
int | verifyCDR (struct fileEntry *fe)
void | readVATtable ()
void | writeVATtable ()

## Variables
unsigned char * | blockBuffer
uint32_t | newVATindex
uint32_t | sizeVAT
uint32_t | prevVATlbn
uint64_t | CDRuniqueID

## Function Documentation

long_ad* flagError | ( | long_ad * | extents,
|  | long_ad * | ext,
|  | uint32_t | pbn
| ) |  |

Definition at line 142 of file wrudf-cdr.c.

uint32_t getMaxVarPktSize | ( |  | ) |

Definition at line 48 of file wrudf-cdr.c.

uint32_t getNWA | ( |  | ) |

Definition at line 35 of file wrudf-cdr.c.

uint32_t newVATentry | ( |  | ) |

Definition at line 22 of file wrudf-cdr.c.

unsigned char* readCDR | ( | uint32_t | lbn,
|  | uint16_t | partition
| ) |  |

Definition at line 59 of file wrudf-cdr.c.

void readVATtable | ( |  | ) |

Definition at line 283 of file wrudf-cdr.c.

void syncCDR | ( |  | ) |

Definition at line 96 of file wrudf-cdr.c.

int verifyCDR | ( | struct fileEntry * | fe | ) |

Definition at line 200 of file wrudf-cdr.c.

uint32_t writeCDR | ( | void * | src | ) |

Definition at line 121 of file wrudf-cdr.c.

void writeHD | ( | uint32_t | physical,
|  | unsigned char * | src
| ) |  |

Definition at line 84 of file wrudf-cdr.c.

void writeHDlink | ( |  | ) |

Definition at line 107 of file wrudf-cdr.c.

void writeVATtable | ( |  | ) |

Definition at line 309 of file wrudf-cdr.c.

## Variable Documentation

unsigned char* blockBuffer

Definition at line 15 of file wrudf-cdr.c.

uint64_t CDRuniqueID

Definition at line 19 of file wrudf-cdr.c.

uint32_t newVATindex

Definition at line 16 of file wrudf-cdr.c.

uint32_t prevVATlbn

Definition at line 18 of file wrudf-cdr.c.

uint32_t sizeVAT

Definition at line 17 of file wrudf-cdr.c.